DH_GENCONTROL(1)

NAME
dh_gencontrol - erzeugt und installiert die Datei »control«

ÜBERSICHT
dh_gencontrol [Debhelper-Optionen] [-- Parameter]

BESCHREIBUNG
dh_gencontrol ist ein Debhelper-Programm, das für das Erzeugen von Steuerdateien zuständig ist und sie mit den angemessenen Zugriffsrechten in das Verzeichnis DEBIAN installiert.

Dieses Programm ist bloß ein Wrapper um dpkg-gencontrol(1), das es einmal für jedes Paket, auf das es sich auswirkt (plus nötige Dbgsym-Pakete), aufruft und einige zusätzliche nützliche Schalter übergibt.

Beachten Sie, dass Sie, falls Sie dh_gencontrol verwenden, zum Bauen der Pakete auch dh_builddeb(1) verwenden müssen. Andernfalls könnte Ihr Bauen fehlschlagen, da dh_gencontrol (über dpkg-gencontrol(1)) deklariert, welche Pakete gebaut werden. Da Debhelper Dbgsym-Pakete automatisch erzeugt, fügt es manchmal zusätzliche Pakete hinzu, die durch dh_builddeb(1) gebaut werden.

OPTIONEN

-- Parameter
    übergibt Parameter an dpkg-gencontrol(1)

-uParameter, --dpkg-gencontrol-params=Parameter
    Dies ist eine weitere Möglichkeit, Parameter an dpkg-gencontrol(1) zu übergeben. Sie ist veraltet; nutzen Sie stattdessen --.

SIEHE AUCH
debhelper(7)

Dieses Programm ist Teil von Debhelper.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <http://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de und das deutsche Debian-Übersetzer-Team im Dezember 2011 erstellt.

Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket debhelper.

Sie können mit dem folgenden Befehl das englische Original anzeigen man -L en Abschnitt Handbuchseite

AUTOR
Joey Hess <joeyh@debian.org>